<!--
Project: swinging
Copyright 2018 @swinging
-->
<div class="header">
  <div class="send">
    <p>Conversation avec {{ to }}</p>
    <form [formGroup]="form" (submit)="send()">
      <mat-form-field>
        <input type="text" matInput formControlName="message" placeholder="nouveau message" />
      </mat-form-field>
      <button mat-raised-button color="pimary" type="submit" [disabled]="form.invalid">Envoyer</button>
    </form>
    <p class="text-danger">{{ error }}</p>
  </div>
</div>
<div *ngIf="loading">
  Chargement...
</div>
<div class="messages">
  <div *ngFor="let message of messages">
    <div class="display-name" *ngIf="user && message.fromId == user.uid">toi
      <span class="time">{{ getTime(message.date) }}</span>
    </div>
    <div class="display-name" *ngIf="user && message.fromId && message.fromId != user.uid">{{ to }}
      <span class="time">{{ getTime(message.date) }}</span>
    </div>
    <div>{{ message.text }}</div>
  </div>
</div>
